---
template: index.html
title: Головна
hide:
  - navigation
hero:
  title: Мінімалістичний, потужний та надзвичайно гнучкий командний рядок Zsh
  subtitle: It combines everything you may need for convenient work, without unnecessary complications, like a real spaceship.
  install_button: Початок роботи
  source_button: Вихідний код
features:
  - 
    title: Охайний та простий
    image: /assets/what-is-needed.svg
    description: Командний рядок не перевантажений, а показує тільки те, що вам потрібно в даний момент (поточна директорія, гілка git тощо).
  - 
    title: Просто встановлюється
    image: /assets/out-of-the-box.svg
    description: The prompt works right after installation without any additional configuration. install it and use it.
  - 
    title: Легко налаштовується
    image: /assets/configurable.svg
    description: Командний рядок не потребує конфігурації, однак надає зрозумілий та простий інтерфейс для налаштувань.
---

# Ласкаво просимо на борт, астронавте!

<p align="center">
  <img alt="Spaceship з Hyper та One Dark" src="https://user-images.githubusercontent.com/10276208/36086434-5de52ace-0ff2-11e8-8299-c67f9ab4e9bd.gif" width="980px">
</p>

## Можливості

**Spaceship** is packed with cool features. Here are some sneak picks:

- Розумне відображення імені користувача, хоста та символу-запрошення.
- Поточні статуси Git і Mercurial репозиторіїв.
- Індикатор для задач, що виконуються у фоновому режимі `<unk>`.
- Поточні версії Node.js `⬢`, Ruby `💎`, Elm `🌳`, Elixir `💧`, Swift `🐦`, Xcode `🛠`, Go `🐹`, PHP `🐘`, Rust `𝗥`, Haskell `λ`, Julia `ஃ`, Python `🐍`, Conda `🅒`, .NET SDK `.NET`, Ember.js `🐹`.
- Версія пакета, якщо він присутній у поточному каталозі `📦`.
- Поточна версія Docker і під'єднана машина `🐳`.
- Поточний профіль Amazon Web Services (AWS) `☁️` ([використовуючи іменовані профілі](http://docs.aws.amazon.com/cli/latest/userguide/cli-multiple-profiles.html)).
- Поточна конфігурація Google Cloud Platform gcloud `☁️`.
- Поточний контекст Kubectl `☸️`.
- Поточна робоча область Terraform `🛠`.
- Поточний рівень заряду батареї та її статус.
- Поточний режим Vi-mode ([з зручними аліасами для тимчасово ввімкнення/вимкнення](./options.md#vi-mode-vi_mode)).
- Час виконання останньої команди, якщо він перевищує встановлене значення.

Want more features? Please, [open an issue](https://github.com/spaceship-prompt/yspaceship-prompt/issues/new/choose) or send pull request.

<!-- prettier-ignore -->
!!! tip Follow [our Twitter](//twitter.com/SpaceshipPrompt) to keep yourself updated about new features, improvements, and bugfixes.

## Усунення несправностей

Here's a list of related projects that have been inspired by Spaceship ZSH.

- [**matchai/spacefish**](https://github.com/matchai/spacefish) - порт Spaceship для fish, який має намір досягти повного паритету функцій.
- [**зірка/зірка**](https://github.com/starship/starship) - швидкий, крос-оболонковий командний рядок, написаний на Rust, натхненний Spaceship.

## Пов'язані проекти

Hi! I work on this project in my spare time, in addition to my primary job. I hope you enjoy using Spaceship. If you do, please, [become my patron 🤝][patreon-url].

|            Patreon            |                                                                     Bitcoin                                                                      |                                                                     Ethereum                                                                     |
|:-----------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------------:|:------------------------------------------------------------------------------------------------------------------------------------------------:|
| [Стати патроном][patreon-url] |                                                       `1FrPrQb6ACTkbSBAz9PduJWrDFfq41Ggb4`                                                       |                                                   `0x6aF39C917359897ae6969Ad682C14110afe1a0a1`                                                   |
|   <a href="https://www.patreon.com/spaceship-prompt"><img src="https://c5.patreon.com/external/logo/become_a_patron_button@2x.png" width="150px"></a>   | <img src="https://user-images.githubusercontent.com/3459374/33760933-1c9b81b4-dc10-11e7-8e4b-22d81f98c138.png" width="100px" /> | <img src="https://user-images.githubusercontent.com/3459374/33760932-1c7b3fb2-dc10-11e7-9774-411264d533da.png" width="100px" /> |

Ось список пов'язаних проектів, натхнених Spaceship.

I would appreciate your support! _Thank you!_

## Ліцензія

Цей спосіб чітко заявити: **Моя робота цінується.**

[patreon-url]: https://www.patreon.com/denysdovhan

[patreon-url]: https://www.patreon.com/denysdovhan
